import * as react_jsx_runtime from 'react/jsx-runtime';
import { SvgIconTypes } from '@versini/ui-types';

type IconsProps = {
	/**
	 * Whether or not to render the icon in a single color
	 * @default false
	 */
	monotone?: boolean;
	/**
	 * The title to use for the icon. Each icon has a default title,
	 * but it can be overridden with this prop.
	 */
	title?: string;
} & Pick<SvgIconTypes.Props, "semantic" | "size" | "className" | "viewBox"> &
	React.SVGAttributes<SVGElement>;

declare const IconAdd: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconAnthropic: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBack: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBookmark: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBrightness: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconChart: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconClose: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconCopied: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconCopy: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconDelete: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconDog: ({ className, viewBox, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconDown: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconEdit: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconGitHub: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconHide: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconHistory: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconInfo: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconKey: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconLocked: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconMessages: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconNext: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconOpenAI: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPasskey: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPrevious: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconProfile: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconRefresh: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconRestore: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSearch: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSettings: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconShow: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSliders: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSort: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSortDown: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSortUp: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconStarInCircle: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconUp: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconUser: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

export { IconAdd, IconAnthropic, IconBack, IconBookmark, IconBrightness, IconChart, IconClose, IconCopied, IconCopy, IconDelete, IconDog, IconDown, IconEdit, IconGitHub, IconHide, IconHistory, IconInfo, IconKey, IconLocked, IconMessages, IconNext, IconOpenAI, IconPasskey, IconPrevious, IconProfile, IconRefresh, IconRestore, IconSearch, IconSettings, IconShow, IconSliders, IconSort, IconSortDown, IconSortUp, IconStarInCircle, IconUp, IconUser };
